"use strict";
this.name = "rmb-law-missile-script";
this.author = "Ramirez";
this.copyright = "December 2011";
this.description = "Prevents an Orange Tear lawmaker missile from being used against stations and other stationary objects";
this.version = "3.0";

this.checkTargetVulnerability = function() {
    if (!this.ship || !this.ship.isValid || !this.ship.target || !this.ship.target.isValid) return;
    if ((this.ship.target.isStation && this.ship.target.maxSpeed == 0) || this.ship.target.scanClass == "CLASS_ROCK" || this.ship.target.scanClass == "CLASS_BUOY") return;
    if (this.ship.target.isPlayer) return;
    if (this.ship.target.AI == "rmb-stunnedAI.plist") 
        return;
    else 
        this.ship.target.setAI("rmb-stunnedAI.plist");
}